/*
 * GluonJ 2005, an aspect-oriented system for Java.
 * Copyright (C) 2006 Rei Ishikawa.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 */
package gluonj;

import gluonj.ui.LoadTimeWeaver;

import java.util.LinkedList;
import java.util.List;

public class GluonJ {

    public static void main(String[] args) throws Throwable {

        List l = new LinkedList();
        int i = 0;
        for (; i < args.length; i++) {
            if (args[i].endsWith(".xml")) {
                l.add(args[i]);
            } else {
                break;
            }
        }
        String mainClass = args[i++];

        int arg_length = args.length - i;
        String[] arg = new String[arg_length];
        for (; i < args.length; i++) {
            arg[i + arg_length - args.length] = args[i];
        }
        String[] xmls = (String[]) l.toArray(new String[l.size()]);

        LoadTimeWeaver.run(xmls, mainClass, arg);
    }
}
