/*
 * GluonJ 2005, an aspect-oriented system for Java.
 * Copyright (C) 2006 Rei Ishikawa.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 */
package gluonj.ast.java;


/*
 * constructor  method ɋʂ̐eNX
 * parameters 
 * throws
 * body
 */
public abstract class ASTBehavior extends ASTMember {
	
	ASTFormalParameter[] parameter;
	ASTType[] throwable;
	ASTBlock body;
	
	public ASTBehavior(Modifier m, ASTFormalParameter[] param, ASTType[] th, ASTBlock body) {
		super(m);
		parameter = param;
		throwable = th;
		this.body = body;
	}
	
	
	public ASTBlock getBody() {
		return body;
	}

	public ASTFormalParameter[] getParameter() {
		return parameter;
	}

	public ASTType[] getThrowable() {
		return throwable;
	}

}
