/*
 * GluonJ 2005, an aspect-oriented system for Java.
 * Copyright (C) 2006 Rei Ishikawa.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 */
package gluonj.ast.java;


/*
 * field method constructor ɋʂ̐eNX
 * 
 *  := modifier    (public, final, ...)
 */
public abstract class ASTMember {
	
	Modifier modifier;
	
	public ASTMember(Modifier m) {
		modifier = m;
	}
	
	public abstract void accept(JavaVisitor v);
	
	
	public Modifier getModifier() {
		return modifier;
	}

}
