/*
 * GluonJ 2005, an aspect-oriented system for Java.
 * Copyright (C) 2006 Rei Ishikawa.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 */
package gluonj.ast.java.ext;

import gluonj.ast.java.ASTExpr;
import gluonj.ast.java.ASTField;
import gluonj.ast.java.ASTType;
import gluonj.ast.java.Modifier;


public class ASTAnonymousField extends ASTField {

    private ASTType[] parameter; 
    
	public ASTAnonymousField(Modifier mod, ASTType type, ASTExpr init, ASTType[] param) {
		
		super(mod, type, "<annonymous>", init);
		parameter = param;
	}

	public ASTType[] getParameter() {
	    return parameter;
	}
	
	public String toString() {
		return super.toString();
	}
}
