/*
 * GluonJ 2005, an aspect-oriented system for Java.
 * Copyright (C) 2006 Rei Ishikawa.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 */
package gluonj.ast.java.ext;

import gluonj.ast.java.ASTType;
import gluonj.ast.pointcut.ASTPointcutExpr;


public class ASTCflowType extends ASTType{

    private ASTPointcutExpr expr;
    public ASTCflowType(ASTPointcutExpr e) {
        super("Cflow");
        expr = e;
    }
    
    public ASTPointcutExpr getExpr() {
        return expr;
    }
}
