/*
 * GluonJ 2005, an aspect-oriented system for Java.
 * Copyright (C) 2006 Rei Ishikawa.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 */
package gluonj.ast.joinpoint;

import javassist.CtClass;

public class JPClass extends JoinPoint {

	private CtClass cc;
	

	JPClass(CtClass c) {
	    cc = c;
    }

    public int getJPType() {
		return CLASS;
	}
	
	public CtClass getCtClass() {
		 return cc;
	}
	
	public String toString() {
        return cc.toString();
    }
}
