/*
 * GluonJ 2005, an aspect-oriented system for Java.
 * Copyright (C) 2006 Rei Ishikawa.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 */
package gluonj.ast.joinpoint;

import javassist.CtField;
import javassist.CtMember;

public class JPField extends JPMember {

    private CtField cf;

    JPField(CtField c) {
        cf = c;
    }

    public CtMember getCtMember() {
        return cf;
    }

    public CtField getCtField() {
        return cf;
    }

    public int getJPType() {
        return FIELD;
    }

    public String toString() {
        return cf.toString();
    }
}
