/*
 * GluonJ 2005, an aspect-oriented system for Java.
 * Copyright (C) 2006 Rei Ishikawa.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 */
package gluonj.ast.joinpoint;

import javassist.expr.Expr;
import javassist.expr.FieldAccess;

public class JPFieldAccess extends JPExpr {

    private FieldAccess expr;

    JPFieldAccess(FieldAccess e) {
        expr = e;
    }

    public FieldAccess getFieldAccess() {
        return expr;
    }

    public Expr getExpr() {
        return expr;
    }

    public int getJPType() {
        return FIELD_ACCESS;
    }
    public String toString() {
        return expr.toString();
    }
}
