/*
 * GluonJ 2005, an aspect-oriented system for Java.
 * Copyright (C) 2006 Rei Ishikawa.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 */
package gluonj.ast.joinpoint;

import javassist.CtBehavior;
import javassist.CtMember;
import javassist.CtMethod;


public class JPMethod extends JPBehavior {

    private CtMethod cm;
    JPMethod(CtMethod c) {
        cm = c;
    }
    
    public CtMethod getCtMethod() {
        return cm;
    }
    
    public CtBehavior getCtBehavior() {
        return cm;
    }
    
    public CtMember getCtMember() {
        return cm;
    }
    
    public int getJPType() {
        return METHOD;
    }

    public String toString() {
        return cm.toString();
    }
}
