/*
 * GluonJ 2005, an aspect-oriented system for Java.
 * Copyright (C) 2006 Rei Ishikawa.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 */
package gluonj.ast.joinpoint;

import javassist.expr.Expr;
import javassist.expr.NewExpr;


public class JPNewExpr extends JPExpr {

    
    private NewExpr expr;
    
    public JPNewExpr(NewExpr e) {
        expr = e;
    }

    public Expr getExpr() {
        return expr;
    }

    public int getJPType() {
        return NEW_EXPR;
    }
    
    public NewExpr getNewExpr() {
        return expr;
    }
}
