/*
 * GluonJ 2005, an aspect-oriented system for Java.
 * Copyright (C) 2006 Rei Ishikawa.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 */
package gluonj.ast.pattern;

public class DotTypeNamePattern extends DotOrDotDotTypeNamePattern {

	public DotTypeNamePattern(SingleTypeNamePattern l, IdentifierTypeNamePattern r) {
		super(l, r);
	}
	public String getSoleClassName() {
		return left.getSoleClassName() + "." + right.getSoleClassName();
	}

	
	public String toString() {
		return left + "." + right;
	}
	public void accept(TypeNamePatternVisitor v) {
		v.atDotTypeName(this);
	}
}
