/*
 * GluonJ 2005, an aspect-oriented system for Java.
 * Copyright (C) 2006 Rei Ishikawa.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 */
package gluonj.ast.pattern;


public class OrTypeNamePattern extends BinaryTypeNamePattern {

	public OrTypeNamePattern(TypeNamePattern t, TypeNamePattern t2) {
		super(t, t2);
	}

	public void accept(TypeNamePatternVisitor v) {
		super.accept(v);
		v.atOrTypePattern(this);
	}
	
	public String toString() {
		return left + "||" + right;
	}
	
	public boolean match(String typename) {
        return left.match(typename) || right.match(typename);
    }
}

