/*
 * GluonJ 2005, an aspect-oriented system for Java.
 * Copyright (C) 2006 Rei Ishikawa.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 */
package gluonj.ast.pcs;

import gluonj.ast.joinpoint.JoinPoint;


public class IfResidue extends PointcutResidue {

    private String condition;
    
    public IfResidue(String s) {
        condition = s;
    }
    public String getDynamicCondition() {
        return condition;
    }
    
    public String getDynamicCondition(JoinPoint jp) {
        return condition;
    }

    public String getStatement(JoinPoint jp) {
        return "";
    }

}
