/*
 * GluonJ 2005, an aspect-oriented system for Java.
 * Copyright (C) 2006 Rei Ishikawa.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 */
package gluonj.ast.pcs;


public class PcsParameterType extends PcsParameter {

	PcsType pattern;

    public PcsParameterType(PcsType p) {
        pattern = p;
    }

    public void accept(ParameterVisitor v) {
		v.atParameterTypePattern(this);
	}
	
	public PcsType getPattern() {
		return pattern;
	}
	
	public String toString() {
		return pattern.toString();
	}
}
