/*
 * GluonJ 2005, an aspect-oriented system for Java.
 * Copyright (C) 2006 Rei Ishikawa.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 */
package gluonj.runtime;

import java.util.LinkedList;
import java.util.List;

public class ClosureStack {

	static private List stack= new LinkedList();

	static public void push(Closure c) {
		stack.add(0, c);		
	}
	static public Closure pop() {
		return (Closure) stack.remove(0);
	}
	static public Closure peek() {
		return (Closure) stack.get(0);
	}
}
