/*
 * GluonJ 2005, an aspect-oriented system for Java.
 * Copyright (C) 2006 Rei Ishikawa.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 */
package gluonj.weaver;

import gluonj.ast.java.JavaVisitor;
import javassist.ClassPool;
import javassist.CtClass;


abstract class IntertypeDeclWeavingVisitor extends JavaVisitor {

	protected CtClass cc;

	ClassPool pool;
	IntertypeDeclWeavingVisitor(ClassPool pool) {
		this.pool = pool;
	}

	public void setTargetClass(CtClass c) {
		cc = c;
	}
}