/*
 * GluonJ 2005, an aspect-oriented system for Java.
 * Copyright (C) 2006 Rei Ishikawa.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 */
package gluonj.weaver;


public interface JoinPointConstants {

	/*
	 * 0 < id <= 20 : specifer of shadows
	 */
	public static final int FIELD_SET = 1; 
	public static final int FIELD_GET = 2; 
	public static final int CALL = 3;
	public static final int EXECUTION = 4;

	public static final int WITHIN = 21;
	public static final int WITHINCODE = 22;

	public static final int CFLOW = 26;
	public static final int CFLOW_BELOW = 27;

	public static final int TARGET = 31;
	public static final int THIS = 32;
	public static final int ARGS = 33;
	
	public static final int REFERENCE = 41;
	
	public static final int NEWSUPER = 51;
	public static final int NEWINTERFACE = 52; 
	public static final int NEWFIELD = 53;
	public static final int NEWMETHOD = 54;
	 
	public static final int AND = 71;  
	public static final int OR = 72;
	public static final int NOT = 73;
	
	public static final int SHADOW = 81;
	public static final int RESIDUE = 82;
	
	public static final int BEFORE = 100;
	public static final int AFTER = 101;
	public static final int AROUND = 102;
	
	public static final int READER = 151;
	public static final int WRITER = 152;
}
