/*
 * GluonJ 2005, an aspect-oriented system for Java.
 * Copyright (C) 2006 Rei Ishikawa.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 */
package gluonj.test.typepat;

import gluonj.ui.LoadTimeWeaver;

import java.io.File;

import junit.framework.TestCase;
/**
 * test program of type pattern.
 * - pattern with "[]" (array)
 * - pattern with "+" (subtype)
 * - pattern with "..", "*" (wildcard)
 * - "*" pattern (specify all types)
 */
public class SimpleTest extends TestCase {

	static String testdir = new File(".").getAbsolutePath() + "\\test\\";

	public final void test() throws Throwable {

		String a = testdir + "gluonj\\test\\typepat\\aop.xml";
		LoadTimeWeaver.run(new String[] { a },
		"gluonj.test.typepat.Main", new String[0]);
	}
}
