/*
 * GluonJ 2005, an aspect-oriented system for Java.
 * Copyright (C) 2006 Rei Ishikawa.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 */
package test.injection.di;


public class Main {

    public int count;

    public static int static_count;

    public static boolean is_static_count_inited_before_constructor_called;

    public void testDi() {
        if (count != 1) {
            throw new RuntimeException(
                    "the description of <reference> tag does not initialize the existing field correctly. ");
        }
    }

    public void testDi2() {
        if (count != 1) {
            throw new RuntimeException(
                    "the description of <reference> tag does not initialize the existing field correctly. ");
        }
    }

    public void testDiStatic() {
        if (!is_static_count_inited_before_constructor_called) {
            throw new RuntimeException(
                    "Static fields are not initialized before the constructor which have that fields is executed.");
        }
    }
}