/*
 * GluonJ 2005, an aspect-oriented system for Java.
 * Copyright (C) 2006 Rei Ishikawa.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 */
package test.pc.cflow;

import test.GluonJTestCase;

public class CflowBoundaryTest extends GluonJTestCase {

    private String packageName = "test.pc.cflow";

    private String className = "Main";

    {
        RUNNER = "gluonj.test.Runner";
    }

    public final void testCflowBoundary() throws Throwable {

        runOnGluonJ(className, getTestingMethod(), new String[] { "cflow_boundary.xml" });
    }
    public final void testCflowBelowBoundary() throws Throwable {

        runOnGluonJ(className, getTestingMethod(), new String[] { "cflowbelow_boundary.xml" });
    }
}