/*
 * GluonJ 2005, an aspect-oriented system for Java.
 * Copyright (C) 2006 Rei Ishikawa.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 */
package test.pc.shadow.call.constructor;

import test.GluonJTestCase;

public class CallConstTest extends GluonJTestCase {

    private String packageName = "test.pc.shadow.call.constructor";

    private String className = "Main";

    {
        RUNNER = "gluonj.test.Runner";
    }

    public final void testCallCst() throws Throwable {
        runOnGluonJ(className, getTestingMethod(), new String[] { "call.xml" });
    }

    public final void testCallCst2() throws Throwable {
        runOnGluonJ(className, getTestingMethod(), new String[] { "around_call.xml" });
    }

    public final void testInnerCall() throws Throwable {

        runOnGluonJ(className, getTestingMethod(), new String[] { "inner_call.xml" });
    }
}