/*
 * GluonJ 2005, an aspect-oriented system for Java.
 * Copyright (C) 2006 Rei Ishikawa.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 */
package test.pc.within;

public class Main {

    private int count = 0;

    private int weaved_before = 0;

    private int weaved_after = 0;

    public void testWithinInterface() {

        ICount c = new CountA();
        int i = c.count();
        if (i != 1) {
            throw new RuntimeException(
                    "within(interface+) is not work correctly.");
        }
        c = new CountB();
        i = c.count();
        if (i != 11) {
            throw new RuntimeException(
                    "within(interface+) is not work correctly.");
        }

    }

}