/*
 * GluonJ 2005, an aspect-oriented system for Java.
 * Copyright (C) 2006 Rei Ishikawa.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 */
package gluonj.ast.pattern;


public abstract class BinaryTypeNamePattern extends TypeNamePattern {

	protected BinaryTypeNamePattern(TypeNamePattern t, TypeNamePattern t2) {
		left = t;
		right = t2;
	}
	protected TypeNamePattern left;
	protected TypeNamePattern right;
	
	public void accept(TypeNamePatternVisitor v) {
		left.accept(v);
		right.accept(v);
	}
}
