/*
 * GluonJ 2005, an aspect-oriented system for Java.
 * Copyright (C) 2006 Rei Ishikawa.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 */
package gluonj.ast.pattern;


public abstract class DotOrDotDotTypeNamePattern extends SingleTypeNamePattern {

	protected IdentifierTypeNamePattern right;
	protected SingleTypeNamePattern left;
	
	DotOrDotDotTypeNamePattern(SingleTypeNamePattern l,IdentifierTypeNamePattern r) {
		left = l;
		right = r;
	}
	
	
	public SingleTypeNamePattern getLeft() {
		return left;
	}

	public IdentifierTypeNamePattern getRight() {
		return right;
	}

}
