/*
 * GluonJ 2005, an aspect-oriented system for Java.
 * Copyright (C) 2006 Rei Ishikawa.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 */
package gluonj.ast.pcs;


public abstract class PcsBinary extends PointcutShadow {

    PointcutShadow left;
    PointcutShadow right;

    public PcsBinary(PointcutShadow l, PointcutShadow r) {
        left = l;
        right = r;
    }
    public PointcutShadow getLeft() {
        return left;
    }

    public PointcutShadow getRight() {
        return right;
    }
}
