/*
 * GluonJ 2005, an aspect-oriented system for Java.
 * Copyright (C) 2006 Rei Ishikawa.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 */
package gluonj.ast.pointcut;

public abstract class ASTBinaryExpr extends ASTPointcutExpr {

	ASTPointcutExpr left;
	ASTPointcutExpr right;
	protected String op;

	public ASTPointcutExpr getLeft() {
		return left;
	}

	public ASTPointcutExpr getRight() {
		return right;
	}

	public String toString() {
		return "(" + left.toString() + " " + op + " " + right.toString() + ")";
	}
	public void setLeft(ASTPointcutExpr expr) {
		left = expr;
	}

	public void setRight(ASTPointcutExpr expr) {
		right = expr;
	}
}
