/*
 * GluonJ 2005, an aspect-oriented system for Java.
 * Copyright (C) 2006 Rei Ishikawa.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 */
package gluonj.weaver.gen;

import gluonj.ast.Aspect;
import gluonj.weaver.CannotCompileException;


public abstract class Processor {

	abstract public Aspect[] process(Aspect[] aspects)
		throws CannotCompileException;
}
