/*
 * GluonJ 2005, an aspect-oriented system for Java.
 * Copyright (C) 2006 Rei Ishikawa.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 */
package gluonj.ast.pattern;

import junit.framework.TestCase;

public class TestTypeNameSpecifyVistor extends TestCase {

		
	/*
     * pattern: usr.*.pat* target: usr.test.pattern
     */
	public final void test() {
		assertTrue(make1().match("usr.test.pattern"));
	}

	private TypeNamePattern make1() {
		IdentifierTypeNamePattern aster =
			new IdentifierTypeNamePattern(new IdPattern("pat*"));
		IdentifierTypeNamePattern test =
			new IdentifierTypeNamePattern(new IdPattern("*"));
		IdentifierTypeNamePattern usr =
			new IdentifierTypeNamePattern(new IdPattern("usr"));

		DotOrDotDotTypeNamePattern d1 = new DotTypeNamePattern(usr,test);
		DotOrDotDotTypeNamePattern d2 = new DotTypeNamePattern(d1, aster);
		return d2;
	}

}
