/*
 * GluonJ 2005, an aspect-oriented system for Java.
 * Copyright (C) 2006 Rei Ishikawa.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 */
package gluonj.test.dyn;

import gluonj.ui.LoadTimeWeaver;

import java.io.File;

import junit.framework.TestCase;

/*
 * test for this, target and args. (with not expr)
 *  
 */
public class SimpleTest extends TestCase {

    static String testdir = new File(".").getAbsolutePath() + "\\test\\";

    public final void test() throws Throwable {

        //StaticWeaver.weave("gluonj\\test\\dyn\\");
        
        String a = testdir + "gluonj\\test\\dyn\\aop.xml";
        LoadTimeWeaver.run(new String[] { a }, "gluonj.test.dyn.Main",
                new String[0]);
    }
}