/*
 * GluonJ 2005, an aspect-oriented system for Java.
 * Copyright (C) 2006 Rei Ishikawa.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 */
package gluonj.test.within;

public class Main {

	public static void main(String[] args) {

		Main m = new Main();
		m.doMain(m);
	}

	void doMain(Main m) {

		MyService my = new MyService();
		my.serve();
		my.serve2();

		if (!(my.within1 == 2
			&& my.within2 == 2
			&& my.withincode1 == 1
			&& my.withincode2 == 0)) {
				
			throw new RuntimeException(
				"assertion failed. within1="
					+ my.within1
					+ ",within2="
					+ my.within2
					+ ",withincode1="
					+ my.withincode1
					+ ",withincode2="
					+ my.withincode2);
		}

		if (!(my.n_within1 == 0
			&& my.n_within2 == 0
			&& my.n_withincode1 == 1
			&& my.n_withincode2 == 2)) {
				
			throw new RuntimeException(
				"assertion failed. n_within1="
					+ my.n_within1
					+ ",n_within2="
					+ my.n_within2
					+ ",n_withincode1="
					+ my.n_withincode1
					+ ",n_withincode2="
					+ my.n_withincode2);
		}

		MyService my2 = new MyService2();
		my2.serve();
		my2.serve2();

		if (!(my2.within1 == 1
			&& my2.within2 == 0
			&& my2.withincode1 == 0
			&& my2.withincode2 == 0)) {
				
			throw new RuntimeException(
				"assertion failed. within1="
					+ my2.within1
					+ ",within2="
					+ my2.within2
					+ ",withincode1="
					+ my2.withincode1
					+ ",withincode2="
					+ my2.withincode2);
		}
		if (!(my2.n_within1 == 1
				&& my2.n_within2 == 2
				&& my2.n_withincode1 == 2
				&& my2.n_withincode2 == 2)) {
					
				throw new RuntimeException(
					"assertion failed. n_within1="
						+ my2.n_within1
						+ ",n_within2="
						+ my2.n_within2
						+ ",n_withincode1="
						+ my2.n_withincode1
						+ ",n_withincode2="
						+ my2.n_withincode2);
			}

	}
}
