/*
 * GluonJ 2005, an aspect-oriented system for Java.
 * Copyright (C) 2006 Rei Ishikawa.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 */
package gluonj.test.within;

import gluonj.ui.LoadTimeWeaver;

import java.io.File;

import junit.framework.TestCase;
/**
 * test program of within pcd and withincode pcd. 
 * - within + execution
 * - within + call
 * - withincode + execution
 * - withincode + call
 */
// withincode(void MyService.serve) && call(init)
// withincode(void MyService.serve) && execution(init)
// within(MyService) && call(init)
// within(MyService) && execution(init)

// !withincode(void MyService.serve) && call(init)
// !withincode(void MyService.serve) && execution(init)
// !within(MyService) && call(init)
// !within(MyService) && execution(init)

public class SimpleTest extends TestCase {

	static String testdir = new File(".").getAbsolutePath() + "\\test\\";

	public final void test() throws Throwable {

		String a = testdir + "gluonj\\test\\within\\aop.xml";
		LoadTimeWeaver.run(new String[] { a },
		"gluonj.test.within.Main", new String[0]);
	}
}
