/*
 * GluonJ 2005, an aspect-oriented system for Java.
 * Copyright (C) 2006 Rei Ishikawa.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 */
package test.injection;

import test.GluonJTestCase;

public class PerObjectsTest extends GluonJTestCase {

    private String className = "Main";

    public final void testPerobjects() throws Throwable {
        runOnGluonJ(className, getTestingMethod(),
                new String[] { "perobjects.xml" });
    }

    public final void testPerobjectsInit() throws Throwable {
        runOnGluonJ(className, getTestingMethod(),
                new String[] { "perobjects_initializer.xml" });
    }
}
