/*
 * GluonJ 2005, an aspect-oriented system for Java.
 * Copyright (C) 2006 Rei Ishikawa.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 */
package test.injection.di;

import test.GluonJTestCase;

public class DiTest extends GluonJTestCase {

    private String packageName = "test.injection.di";

    private String className = "Main";

    {
        RUNNER = "gluonj.test.Runner";
    }

    public final void testDi() throws Throwable {

        runOnGluonJ(className, getTestingMethod(), new String[] { "di.xml" });
    }

    public final void testDi2() throws Throwable {

        runOnGluonJ(className, getTestingMethod(), new String[] { "di2.xml" });
    }
    
    public final void testDiStatic() throws Throwable {
        //dump(new String[]{className}, new String[] {"di_static.xml"}, "./temp2/");
        
        runOnGluonJ(className, getTestingMethod(), new String[] { "di_static.xml" });
    }
}