/*
 * GluonJ 2005, an aspect-oriented system for Java.
 * Copyright (C) 2006 Rei Ishikawa.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 */
package test.packageimport;

import test.GluonJTestCase;

public class ImportTest extends GluonJTestCase {

    private String name = "Main";

    public final void testPC() throws Throwable {
        runOnGluonJ(name, getTestingMethod(),
                new String[] { "abbreviateInPC.xml" });
    }

    public final void testPC2() throws Throwable {
        runOnGluonJ(name, getTestingMethod(),
                new String[] { "abbreviateInPC2.xml" });
    }

    public final void testAdv() throws Throwable {
        runOnGluonJ(name, getTestingMethod(),
                new String[] { "abbreviateInAdv.xml" });
    }

    public final void testITD() throws Throwable {

        dump(new String[] {
                name,
                "Counter" }, new String[] { "abbreviateInITD.xml" }, "./temp/");
        //runOnGluonJ(name, getTestingMethod(),
          //      new String[] { "abbreviateInITD.xml" });
    }
}
