/*
 * GluonJ 2005, an aspect-oriented system for Java.
 * Copyright (C) 2006 Rei Ishikawa.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 */
package test.pc.shadow.call.constructor;


public class Main {

    
    public int count;

    public Main() {
    }
    
    public void testCallCst() {
        
        count = 1;
        Main m = new Main();

        if(count != 2) {
            throw new RuntimeException("after advice is not weaved at constructor call collectly.");
        }
    }
    
    
    public void testCallCst2() {
        
        Main m = new Main();
        
        if(m.count != 1){
            throw new RuntimeException("around advice is not weaved at constructor call collectly.");
        }
    }
    
    public void testInnerCall() {
        Main m = new Main(1,2);
        Main m2 = new Main(1);
    }
    
    
    public Main(int i, int j)  {
        this(j);
    }
    
    public Main(int i) {
    }
    
}