/*
 * GluonJ 2005, an aspect-oriented system for Java.
 * Copyright (C) 2006 Rei Ishikawa.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 */
package test.pc.shadow.execution;

import test.GluonJTestCase;

public class ExecutionTest extends GluonJTestCase {

    /*
     * 
     * O "new, one, two, oneplustwo"
     * 
     * "test.pc.shadow.execution.A" "test.pc.shadow.execution.B"
     * "test.pc.shadow.execution.AB" "test.pc.shadow.execution.sub.A"
     * 
     *  
     */
    private String packageName = "test.pc.shadow.execution";

    private String className = "Main";
    
    {
        RUNNER = "gluonj.test.FlagRunner";
    }

    public final void testExecutionWildcard1() throws Throwable {
        runOnGluonJ(className, getTestingMethod(), new String[] { "mname.xml" });
    }

    public final void testExecutionWildcard2() throws Throwable {
        runOnGluonJ(className, getTestingMethod(), new String[] { "classname.xml" });
    }
    public final void testExecutionWildcard3() throws Throwable {
        runOnGluonJ(className, getTestingMethod(), new String[] { "returntypename.xml" });
    }
}