/*
 * GluonJ 2005, an aspect-oriented system for Java.
 * Copyright (C) 2006 Rei Ishikawa.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 */
package test.pc.shadow.sample;

import java.lang.reflect.Field;

public class A {

    public int before_one = 0;

    public int after_one = 0;

    public int before_two = 0;

    public int after_two = 0;

    public int before_all = 0;

    public int after_all = 0;

    public A() {

    }

    public int one() {
        return 1;
    }

    public long two() {
        return 2;
    }

    public double oneplustwo() {
        return 3;
    }

    public A getA() {
        return null;
    }

    public B getB() {
        return null;
    }

    public AB getAB() {
        return null;
    }

    public test.pc.shadow.sample.sub.A getSubA() {
        return null;
    }

    public int before_return_A = 0;

    public int after_return_A = 0;

    public int before_return_B = 0;

    public int after_return_B = 0;

    public int before_return_subA = 0;

    public int after_return_subA = 0;

    public String toString() {
        try {
            StringBuffer buf = new StringBuffer();
            Field[] fs = this.getClass().getFields();
            for (int i = 0; i < fs.length; i++) {
                buf.append(fs[i].getName() + "=" + fs[i].getInt(this) + "\n");
            }
            return super.toString() + buf.toString();
        } catch (IllegalArgumentException e) {
            throw new RuntimeException(e);
        } catch (IllegalAccessException e) {
            throw new RuntimeException(e);
        }
    }
}