/*
 * GluonJ 2005, an aspect-oriented system for Java.
 * Copyright (C) 2006 Rei Ishikawa.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 */
package test.weaveto.staticinitializer;


public class Main {

    static {
        count();
    }

    public static int count;

    public void testExecution() {
        if (count != 2) {
            throw new RuntimeException(
                    "An advice is not weaved correctly within static initializer.");
        }
    }

    public static int count() {
        Main.count++;
        return 0;
    }
}